/// <reference types="hls.js" />
import { InternalAdapterAPI } from './InternalAdapterAPI';
import { HTML5InternalAdapter } from './HTML5InternalAdapter';
import { AnalyticsStateMachineOptions } from '../../types/AnalyticsStateMachineOptions';
import { QualityLevelInfo } from '../../types/QualityLevelInfo';
import { Player } from '../../enums/Player';
export declare class HlsInternalAdapter extends HTML5InternalAdapter implements InternalAdapterAPI {
    private hls;
    constructor(hls: Hls, opts?: AnalyticsStateMachineOptions);
    getPlayerName: () => Player;
    getPlayerVersion: () => any;
    getCurrentQualityLevelInfo(): QualityLevelInfo | null;
    /**
     * @override
     */
    isLive: () => boolean;
    /**
     * @override
     */
    getMIMEType(): string;
    /**
     * @override
     */
    getStreamURL(): any;
    registerHlsEvents(): void;
    onMediaAttaching(): void;
    onMediaDetaching(): void;
    onManifestLoading(): void;
}
