import { InternalAdapterAPI } from './InternalAdapterAPI';
import { HTML5InternalAdapter } from './HTML5InternalAdapter';
import { AnalyticsStateMachineOptions } from '../../types/AnalyticsStateMachineOptions';
import { QualityLevelInfo } from '../../types/QualityLevelInfo';
import { Player } from '../../enums/Player';
export declare class ShakaInternalAdapter extends HTML5InternalAdapter implements InternalAdapterAPI {
    private player;
    constructor(player: any, opts?: AnalyticsStateMachineOptions);
    getPlayerName: () => Player;
    getPlayerVersion: () => any;
    isLive: () => any;
    /**
     * @override
     */
    getMIMEType(): string;
    /**
     * @override
     */
    getStreamURL(): any;
    /**
     * Implemented by sub-class to deliver current quality-level info
     * specific to media-engine.
     * @override
     * @returns {QualityLevelInfo}
     */
    getCurrentQualityLevelInfo(): QualityLevelInfo | null;
}
