/// <reference types="video.js" />
import { InternalAdapter } from './InternalAdapter';
import { InternalAdapterAPI } from './InternalAdapterAPI';
import { DrmPerformanceInfo } from '../../types/DrmPerformanceInfo';
import { AnalyticsStateMachineOptions } from '../../types/AnalyticsStateMachineOptions';
import { Player } from '../../enums/Player';
import { StreamSources } from '../../types/StreamSources';
import { PlaybackInfo } from '../../types/PlaybackInfo';
import { QualityLevelInfo } from '../../types/QualityLevelInfo';
export declare class VideojsInternalAdapter extends InternalAdapter implements InternalAdapterAPI {
    private player;
    private _drmPerformanceInfo;
    private onBeforeUnLoadEvent;
    constructor(player: videojs.default.Player, opts?: AnalyticsStateMachineOptions);
    readonly drmPerformanceInfo: DrmPerformanceInfo;
    getPlayerVersion: () => any;
    getPlayerName: () => Player;
    getPlayerTech: () => string;
    getAutoPlay: () => boolean;
    getStreamType(url: string): string | undefined;
    getStreamSources(url: string): StreamSources;
    getCurrentPlaybackInfo(): PlaybackInfo;
    getCurrentQualityLevelInfo(): QualityLevelInfo | null;
    register(): void;
    sourceChange(config: any, timestamp: number): void;
}
